import { StorageOutput } from '@aws-amplify/backend-output-schemas';
import { BackendOutputStorageStrategy } from '@aws-amplify/plugin-types';
import { IAspect } from 'aws-cdk-lib';
import { IConstruct } from 'constructs';
/**
 * Aspect to store the storage outputs in the backend
 */
export declare class StorageOutputsAspect implements IAspect {
    isStorageProcessed: boolean;
    outputStorageStrategy: BackendOutputStorageStrategy<{
        version: "1";
        payload: {
            bucketName: string;
            storageRegion: string;
            buckets?: string | undefined;
        };
    }>;
    /**
     * Constructs a new instance of the StorageValidator class.
     */
    constructor(outputStorageStrategy: BackendOutputStorageStrategy<StorageOutput>);
    /**
     * Visit the given node.
     * If the node is an AmplifyStorage construct, we will traverse its siblings in the same stack
     * @param node The node to visit.
     */
    visit(node: IConstruct): void;
    private storeOutput;
}
//# sourceMappingURL=storage_outputs_aspect.d.ts.map